function brinst1(itype, alpha, dy1, amp, varargin)
  global im jm dl
  
  %alpha=50; %
  %dy1=0.03; %
  nstep=100; %
  grid =128; %
	%amp = -0.5;

  m=2;
  h=1;

  for k = 1:length(varargin)
    arg = varargin{k};
    if isempty(arg)
      continue
    end
    switch k 
     case 1
      h = arg;
     case 2
      nstep = arg;
     case 3
      grid = arg;
    end
  end  

  deltat=h/m;
  
  im=grid;
  jm=grid;
  %km=21;
  %lm=21;
  km=(grid-1)/3;
  lm=(grid-1)/3;


  nv=5;
  dnu=1e-13;

  k=-km:km;
  l=-lm:lm;
  wk=ones(1,1+2*km);
  wl=ones(1+2*lm,1);
  dl=exp(-dnu*deltat/2*(((l.*l)'*wk+wl*(k.*k)).^(nv*(wl*wk))));

  %
  y1=0.5;
  eps=1e-5;
  
  %
  j=1:jm;
  y=(j-1)/jm;
  wi=ones(1,im);

  %
  if itype == 1
    % Sheer
    g= amp-amp*tanh(alpha*(abs(y-y1)'*wi-dy1));  
  else
    % Jet ???
    g = zeros(size(y));
    dy1 = fix(dy1*jm);
    g((jm/2+1):(jm/2+dy1+1)) = 1;
    g((jm/2-dy1):(jm/2)) = -1;    
    g= (amp*g)'*wi;  
  end

  g(jm/2+1,im/2+1)=g(jm/2+1,im/2+1)+eps;
  z=p2g2sa(lm,km,g);
  z(1+lm,1+km)=0;

  %
  
  t=0;
  handles = m1grph2(t,z);
  for istep=1:nstep
    drawnow;
    [t,z]=tdrknu(m,h,t,z,'m1funl','m1funn');
    drawnow;
    
    ud = get(gcf, 'UserData');
    if strcmp(ud, 'stop') || strcmp(ud, 'exit')
      return;
    end

    drawnow;
    m1grph2(t,z);
  end

