%******************************************************************************
% TITLE
%   Geophysical Fluid Dynamics - Computer Exercises -
%
%   Fluid parcel in steady flow from Lagrange view (3,4)
%   Meandering jet
%
% HISTORY
%   1999/05/10 Tomonori Ohmiya
%   1999/05/11 Shigeo Yoden
%   2004/05/24 Koichi Shin (RISH) (MATLAB code)
%******************************************************************************
function dx = fcn34(n,t,x,dx)

global amp u0

dx(1,:) = -amp*sin(x(1,:)).*cos(x(2,:)) +u0;
dx(2,:) =  amp*cos(x(1,:)).*sin(x(2,:));

return
%******************************************************************************
