%
% pauseplot
%
function pauseplot(hfig)

  persistent str

  % ESC key
  if double(get(hfig,'CurrentCharacter')) == 27
    set(hfig,'UserData','exit');
    delete(hfig);
    return
  end

  % any key
  ud = get(hfig,'UserData');
  if isempty(ud)
    return
  end
  
  disp(ud)
  switch ud
  case 'running'
    set(hfig,'UserData','pause');
    %str = get(hfig,'Name');
    %set(hfig,'Name',[str,' (Pause)']);
  case 'pause'
    set(hfig,'UserData','running');
    %set(hfig,'Name',str);
    uiresume(hfig);
  case 'exit'
    return;
  otherwise
    error('Check UserData!')
  end
  
return


