fdisp('compiling brinst1...');
cd brinst1
mcc -m brinst1_ui.m m1funl.m m1grph2.m brinst1.m p2g2sa.m m1funn.m p2s2ga.m tdrknl.m p2ajbs.m p2s2va.m tdrknu.m 
cd ..

disp('compiling brinst23...');
cd brinst23
mcc -m brinst2_ui.m c2fun.m c2rdst.m tdrk4l.m c2grph.m brinst2.m tdrk4u.m 
mcc -m brinst3_ui.m brinst3.m c2fun.m c2rdst.m tdrk4l.m c2grph.m tdrk4u.m 
cd ..

disp('compiling brown*...');
cd brown
mcc -m brown1_ui.m brown1.m brown2.m changeuicolor.m rand_nr.m brown2_ui.m pushanykey.m 
mcc -m brown2_ui.m brown2.m changeuicolor.m rand_nr.m pushanykey.m 
cd ..

disp('compiling conv...');
cd conv
mcc -m conv_ui average.m expand.m gr.m poisson.m conv.m changeuicolor.m grinit.m runge_kutta.m convection.m t_all.m 
cd ..

disp('compiling deform*...');
cd deform
mcc -m deform1_ui.m changeuicolor.m deform2_ui.m deform4_ui.m fcn1.m deform1.m deform3.m odrkdu.m fcn2.m deform3_ui.m odrkg.m fcn34.m deform2.m deform4.m 
mcc -m deform2_ui.m changeuicolor.m deform4_ui.m fcn1.m deform1.m deform3.m odrkdu.m fcn2.m deform1_ui.m deform3_ui.m odrkg.m fcn34.m deform2.m deform4.m 
mcc -m deform3_ui.m changeuicolor.m deform2_ui.m deform4_ui.m fcn1.m deform1.m deform3.m odrkdu.m fcn2.m deform1_ui.m odrkg.m fcn34.m deform2.m deform4.m 
mcc -m deform4_ui.m changeuicolor.m odrkdu.m odrkg.m fcn34.m deform4.m 
cd ..

disp('compiling ekman...');
cd ekman
mcc -m ekman_ui.m 
cd ..

disp('compiling geoadj*...');
cd geoadj
mcc -B sgl geoadj1_ui.m changeuicolor.m gr1_init.m gr2.m geoadj.m gr1.m gr3.m
mcc -B sgl geoadj2_ui.m changeuicolor.m geoadj.m gr1.m gr3.m
cd ..

disp('compiling gwave...');
cd gwave
mcc -m gwave_ui.m m3grph.m p2ajbs.m p2s2ga.m tdrknl.m gwave.m p2g2sa.m tdrknu.m 
cd ..

disp('compiling inert*...');
cd inert
mcc -m inert1_ui.m arrow.m inert2_ui.m changeuicolor.m inert1.m inert2.m 
mcc -m inert2_ui.m arrow.m inert1_ui.m changeuicolor.m inert1.m inert2.m 
cd ..

disp('compiling linadv...');
cd linadv
mcc -m linadv_ui
cd ..

disp('compiling lorenz*...');
cd lorenz
mcc -m lorenz1_ui.m changeuicolor.m fcn1.m lorenz1.m odrkdu.m fcn3.m lorenz1_.m odrkg.m fcn4.m 
mcc -m lorenz2_ui.m changeuicolor.m fcn1.m lorenz2.m odrkdu.m fcn3.m odrkg.m fcn4.m
mcc -m lorenz3_ui.m changeuicolor.m fcn1.m lorenz3.m odrkdu.m fcn3.m odrkg.m fcn4.m
cd ..

disp('compiling nladv...');
cd nladv
mcc -m nladv_ui.m changeuicolor.m odrkdu.m fcn2.m odrkg.m 
cd ..

disp('compiling ptvort*...');
cd ptvort
mcc -m ptvort1_ui.m changeuicolor.m fcn.m odrkdu.m pushanykey.m fcn3.m odrkg.m ptvort1flow.m ptvort1motion.m
mcc -m ptvort2_ui.m changeuicolor.m fcn.m odrkdu.m pushanykey.m fcn3.m odrkg.m ptvort2.m 
cd ..

disp('compiling rwave1...');
cd rwave1
mcc -m rwave1_ui.m m2grph.m p2ajbs.m p2s2ga.m tdrknl.m rwave1.m p2g2sa.m tdrknu.m 
cd ..

disp('compiling rwave2...');
cd rwave2
mcc -m rwave2_ui.m changeuicolor.m getvalue.m rwave2.m contourb.m gr.m poisson.m graphics.m rossby.m runge_kutta.m 
cd ..

disp('compiling stasta...');
cd stasta
mcc -m stasta_ui.m changeuicolor.m stasta.m 
cd ..

disp('compiling tdvort1...');
cd tdvort1
mcc -m tdvort1_ui.m m1funl.m p2g2sa.m m1funn.m p2s2ga.m tdrknl.m m1grph.m tdvort1.m p2ajbs.m p2s2va.m tdrknu.m
cd ..

disp('compiling tdvort23...');
cd tdvort23
mcc -m tdvort2_ui.m tdvort2.m c2fun.m c2rdst.m tdrk4l.m c2grph.m tdrk4u.m 
mcc -m tdvort3_ui.m tdvort3.m c2fun.m c2rdst.m tdrk4l.m c2grph.m tdrk4u.m 
cd ..

