%******************************************************************************
%
%
function dx = fcn3(n,t,x,dx)

global gma

g = 0.5*gma/pi;

% x1
dx(1) =   (g(2))*(x(4)-x(2)) / ((x(3)-x(1))^2+(x(4)-x(2))^2) ...
        + (g(3))*(x(6)-x(2)) / ((x(5)-x(1))^2+(x(6)-x(2))^2);

% y1
dx(2) = - (g(2))*(x(3)-x(1)) / ((x(3)-x(1))^2+(x(4)-x(2))^2) ...
        - (g(3))*(x(5)-x(1)) / ((x(5)-x(1))^2+(x(6)-x(2))^2);

% x2
dx(3) =   (g(3))*(x(6)-x(4)) / ((x(5)-x(3))^2+(x(6)-x(4))^2) ...
        + (g(1))*(x(2)-x(4)) / ((x(1)-x(3))^2+(x(2)-x(4))^2);

% y2
dx(4) = - (g(3))*(x(5)-x(3)) / ((x(5)-x(3))^2+(x(6)-x(4))^2) ...
        - (g(1))*(x(1)-x(3)) / ((x(1)-x(3))^2+(x(2)-x(4))^2);

% x3
dx(5) =   (g(1))*(x(2)-x(6)) / ((x(1)-x(5))^2+(x(2)-x(6))^2) ...
        + (g(2))*(x(4)-x(6)) / ((x(3)-x(5))^2+(x(4)-x(6))^2);

% y3
dx(6) = - (g(1))*(x(1)-x(5)) / ((x(1)-x(5))^2+(x(2)-x(6))^2) ...
        - (g(2))*(x(3)-x(5)) / ((x(3)-x(5))^2+(x(4)-x(6))^2);

return
%******************************************************************************
