function haxes = m1grph(t,z, haxes)
  global im jm
  persistent cmax cmin

  %
  g=p2s2ga(jm,im,z);
  gt=g';
  gt(im+1,:)=gt(1,:);
  gt(:,jm+1)=gt(:,1);
  x=(0:im)/im;
  y=(0:jm)/jm;  

  %
  %[u,v]=p2s2va(jm,im,z);
  %vt=v';
  %vt(im+1,:)=vt(1,:);
  %vt(:,jm+1)=vt(:,1);
  %ut=u';
  %ut(im+1,:)=ut(1,:);
  %ut(:,jm+1)=ut(:,1);

  %
  %xx = linspace(0,im/im,21);
  %yy = linspace(0,jm/jm,21);
  %[xg,yg] = meshgrid(xx,yy);
  %vti = griddata(x,y,vt,xg,yg);
  %uti = griddata(x,y,ut,xg,yg);
  

  %st=num2str(t);
  stitle=sprintf('T=%4.2f',t);

  %
  if exist('OCTAVE_VERSION') == 0
     % matlab
     if t == 0
	   set(haxes,'YDir','default');
  	   set(haxes,'TickDir','out');
	   set(haxes,'NextPlot','replacechildren');
       colormap(jet(256))
       
       cmax = max(max(abs(g)));
       cmin = -cmax;
       
       axes(haxes);
     end
     
     set(gcf, 'CurrentAxes', haxes);
     cla;
     hold on
     himg = imagesc(x,y,gt');
     caxis([cmin, cmax]);
     %quiver(xg,yg,uti',vti','w')
     hold off

     %colorbar
     axis equal
     axis([x(1),x(im+1),y(1),y(jm+1)]);

     xlabel('X');
     ylabel('Y');
     title(stitle);

     drawnow;
   else
     % octave
     title(stitle);
     contour(x,y,gt,11); % octave 2.1
%     contour(gt,11,x,y); % octave 2.0
   end
   
return;
