%------------------ average ------------------------
function ret = average(var,dim)
  %real, dimension(size(var,1)-1, size(var,2)) :: a_x
  [m,n]  = size(var);

  switch dim
   case 1
    ret = zeros(m-1,n);
    ret = (var(1:(m-1),:) + var(2:m,:))/2.0;
   case 2
    ret = zeros(m,n-1);
    ret = (var(:,1:(n-1)) + var(:,2:n))/2.0;
   otherwise
    error('dimension error in function average')
  end
return
