%------------------ expand ------------------------
function ret = expand(var, fac, dim)

  [m,n] = size(var);
  
  switch dim
   case 1
    ret = zeros(m+2,n);

    ret(2:(m+1),:) =  var;
    ret(      1,:) =  var(1,:)*fac;
    ret(  (m+2),:) =  var(m,:)*fac;
   
   case 2
    ret = zeros(m,n+2);
    
    ret(:,2:(n+1)) =  var;
    ret(:,      1) =  var(:,1)*fac;
    ret(:,  (n+2)) =  var(:,n)*fac;
   
   otherwise
    error('in function expand')
  end

return  
