%----------------- poisson ------------------------
function po = poisson(fac, zz)
  %real :: poisson(im1,jm1), zz(im0,jm0)

  [m,n] = size(zz);
  
  po = zeros(m+2,n+2);
  po(2:(end-1), 2:(end-1)) = fft_ss(fac.*fft_ss(zz));
return;

%---------------- fft (sin-sin) ---------------------
function var = fft_ss(var)
  %ss = real(fft2(var));
  
  %[im0,jm0] = size(var);

  %y=1:jm0;
  var = sint(var);

  %x=1:im0;
  var = sint(var')';
  
return;

%-----------------
function b = sint(aa,dim)

  dim = 1;

  [m,n] = size(aa);

  y = zeros(2*(m+1),n);
  y(2:(m+1),:)= aa;
  y((m+3):2*(m+1),:) = -flipud(aa);

  yy = fft(y,[],dim);
  %b = yy(2:n+1,:)/(-2*sqrt(-1));
  b = yy(2:m+1,:)/(-i);
  b = real(b);

return;
