% figstat
%
% 0 
% 1 exit
function ret = figstate(hfig)

  ret = 0;

  try
    ud = get(hfig,'UserData');
  catch
    disp('catch');
    ret = 1;
    return;
  end

  %
  if isempty(ud)
    return;
  end

  %
  switch ud
   case 'pause'
    uiwait(hfig);          % wait for uiresume
    ret = figstate(hfig);  % for the case of exit during pausing
   case 'exit'
    ret = 1;
   otherwise
  end

return;

% Initially, UserData=[]
%
% To pause,
% set(gcf,'UserData','pause')
%
% To resume,
% set(gcf,'UserData','running');uiresume(gcf)
%
% To exit (with "uiresume" for the case of pausing)
% set(gcf,'UserData','exit');uiresume(gcf)
%
