%----------------- poisson ------------------------
function po = poisson(fac, zz)
  [m,n] = size(zz);
  
  po = zeros(m+2,n+2);
  po(2:(end-1), 2:(end-1)) = fft_ss(fac.*fft_ss(zz));
return;

%---------------- fft (sin-sin) ---------------------
function var = fft_ss(var)
  var = sint(var);
  var = sint(var')';
return;

%-----------------
function b = sint(aa)

  %dim = 1;

  [m,n] = size(aa);

  y = zeros(2*(m+1),n);
  y(2:(m+1),:)= aa;
  y((m+3):2*(m+1),:) = -flipud(aa);

  yy = fft(y,[],1);

  b = real(yy(2:(m+1),:)/(-i));

return;

