function dz=c2fun(t,z)
  global im dq

  [km,nc]=size(z);
  km=(km-1)/2;
  k=1:km;
  k2=(-km:km)';
  kw=[im-km+k-1,0:km];
  zi=sqrt(-1);
  
  w=zeros(im,nc);
  w(1+kw,:)=z(1+km+k2,:);
  g=ifft(w)*im;
  
  w=zeros(im,nc);  
  w(1+kw,:)=zi*(k2*ones(1,nc)).*z(1+km+k2,:);
  dg=ifft(w)*im;

  ix=(1:im)';
  theta=2*pi/im*(ix-1);
  v=zeros(im,1);
  dz=zeros(2*km+1,nc);
  
  for ic=1:nc
    for i=1:im
      zd=z(:,ic).*exp(zi*k2*theta(i));
      u=zi*(sum(zd(1+km+k))-sum(zd(1+km-k)))/2;
      v=2*(1-cos(theta-theta(i)));
      v(i)=1;
      v=abs(g(:,ic)-g(i,ic)).^2./v;
      v(i)=abs(dg(i,ic))^2;
      w(i,ic)=dq(ic)*(-sum(log(v).*dg(:,ic))/(2*im)+u);
      for j=1:nc-1
        jc=rem(ic+j-1,nc)+1;
        v=abs(g(:,jc)-g(i,ic)).^2;
        w(i,ic)=w(i,ic)-dq(jc)*(sum(log(v).*dg(:,jc))/(2*im));
      end
    end
  end
  
  w=fft(w)/im;
  dz(1+km+k2,:)=w(1+kw,:);
