function handles = c2grph(t,z,fm)
  global im
  persistent fig
  
  [km,nc]=size(z);
  km=(km-1)/2;
  k=1:km;
  k2=-km:km;  
  kw=[im-km+k-1,0:km];

  w=zeros(im,nc);
  w(1+kw,:)=z(1+km+k2,:);
  g=ifft(w)*im;
  
  x=real([g;g(1,:)]);
  y=imag([g;g(1,:)]);
  
  st=num2str(t);
  stitle=strcat('t=',st);
  fx=[-fm,fm,fm,-fm,-fm];
  fy=[-fm,-fm,fm,fm,-fm];  
  
  if exist('OCTAVE_VERSION') == 0
    % matlab
    if t == 0
      fig = gcf;
    end
    handles.fig = fig;
    
    plot(x,y);
    axis equal
    axis([-fm,fm,-fm,fm])
    title(stitle);
    drawnow;
  else
    % octave
    title(stitle);
    %plot(fx,fy,x,y,"-@");
    plot(fx,fy,x,y);
  end
