function z=c2rdst(z)
  global im

  [km,nc]=size(z);
  km=(km-1)/2;
  k=1:km;
  k2=-km:km;
  kw=[im-km+k-1,0:km];
  zi=sqrt(-1);
  
  for ic=1:nc
  
    w=zeros(im,1);  
    w(1+kw)=zi*k2'.*z(1+km+k2,ic);
    dg=[ifft(w)*im;0];
    dg=abs(dg);
    ll=sum(dg)*2*pi/im;
    dg(im+1)=dg(1);  
    dl=ll/im;

    l=zeros(im-1,1);
    for i=1:im
      l(i+1)=l(i)+(dg(i)+dg(i+1))*pi/im;
      i1=max([1,ceil(l(i)/dl)]);
      i2=min([im-1,ceil(l(i+1)/dl-1)]);
      if(i2>=i1) 
        ji(i1:i2)=i;
      end
    end
  
    g=zeros(im,1);
    g(1)=sum(z(:,ic));
    for i=1:im-1
      ld=dl*i;
      j=ji(i);
      theta=2*pi*(j-1)/im+2*(ld-l(j))/...
      (dg(j)+sqrt(dg(j)^2+2*(dg(j+1)-dg(j))*(ld-l(j))/(2*pi/im)));
      g(i+1)=exp(zi*theta*k2)*z(1+km+k2,ic);
    end

    w=fft(g)/im;
    z(1+km+k2,ic)=w(1+kw);  

  end
